//==============================================================================
// GLOBALS - The main global definitions for the CPhenix program - still needs
//		to be cleaned up.
// This program assumes that the main files were compiled as C files
//==============================================================================
#ifndef _Servo_Driver_h_
#define _Servo_Driver_h_

#include "Hex_Cfg.h"  // make sure we know what options are enabled...
#if ARDUINO>99
#include <Arduino.h> // Arduino 1.0
#else
#include <Wprogram.h> // Arduino 0022
#endif

class ServoDriver {
  public:
    void Init(void);

#ifdef OPT_GPPLAYER    
    boolean FIsGPEnabled(void);
    boolean FIsGPSeqDefined(uint8_t iSeq);
    void GPPlayer(void);
#endif

    void UpdateServoDriver(void);
    void CommitServoDriver(void);
    void FreeServos(void);
    
#ifdef OPT_FIND_SERVO_OFFSETS
    void FindServoOffsets(void);  // Needs to be different depending on which driver
#endif    
    // Optional code used to forward commands from debug terminal to SSC prot...
#ifdef OPT_SSC_FORWARDER
    void SSCForwarder(void);
#endif

  private:
 
  
} ;   

#endif //_Servo_Driver_h_
